Program TestSDL2;

{$MODE           DELPHI}
{$DEBUGINFO      OFF}
{$SMARTLINK      ON}
{$OVERFLOWCHECKS OFF}
{$CHECKPOINTER   OFF}
{$OPTIMIZATION   LEVEL3}
{$S-}

Uses
  LibSDL2;

Begin
  WriteLn ('Start TestSDL2');

  If Not LoadAllSDL2 Then Begin
    WriteLn ('Cannot find SDL2 library on system');

    Halt(1);
  End;

  If SDL_Init(SDL_INIT_VIDEO) < 0 Then Begin
    WriteLn ('Error initializing video');//: ', SDL_GetError);

    Halt(1);
  End;

  SDL_Quit;

  WriteLn ('TestSDL complete');
End.
